---
title: CSSStyleRule.style
slug: Web/API/CSSStyleRule/style
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Property
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p>The <strong><code>CSSRule.style</code></strong> property is the {{ domxref("CSSStyleDeclaration") }} interface for the <a class="external" href="http://www.w3.org/TR/1998/REC-CSS2-19980512/syndata.html#block">declaration block</a> of the {{ DOMXref("CSSRule") }}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>styleObj</em> = <em>cssRule</em>.style
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">function stilo() {
  alert(document.styleSheets[0].cssRules[0].style.cssText);
}
// displays "background-color: gray;"
</pre>

<h2 id="Notes">Notes</h2>

<p>The declaration block is that part of the style rule that appears within the braces and that actually provides the style definitions (for the selector, the part that comes before the braces).</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/CSS/CSS_Reference" title="en/DOM/CSS">DOM CSS Properties</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssstylerule-style", "CSSStyleRule: style")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleRule.style")}}</p>
